version: '3.9'

services:
  template-svc:
    container_name: template-svc
    build:
      context: .
      dockerfile: Dockerfile
      target: base
    volumes:
      - ./src:/usr/app/src
      - ./node_modules:/usr/app/node_modules
    # environment:
    #   - TRANSPORTER=amqp://rabbitmq:5672
    #   - MOL_REGISTRY__DISCOVERER=etcd3://etcd:2379
    #   - CACHER=redis://redis:6379
    #   - MOL_METRICS__REPORTER__TYPE=Prometheus
    #   - MONGO_URI=mongodb://mongo/test
    #   #Tracing
    #   - MOL_TRACING__EXPORTER__TYPE=Jaeger
    #   - MOL_TRACING__EXPORTER__OPTIONS__HOST=jaeger
    #   - MOL_TRACING__EXPORTER__OPTIONS__PORT=6832
    command: npm run dev
    # depends_on:
    #   - etcd
    #   - redis
    #   - jaeger
    #   - rabbitmq
    #   - prometheus
    networks:
      - internal
    labels:
      co.elastic.logs/json.keys_under_root: true
      co.elastic.logs/json.overwrite_keys: true
      co.elastic.logs/json.add_error_key: true
      co.elastic.logs/json.expand_keys: true

networks:
  internal:
    name: stands-internal
  external:
    name: stands-external
